package com.bjtdba.userCenter.service.impl;

import com.bjtdba.entity.userCenter.UserClockes;
import com.bjtdba.userCenter.dao.UserClockesDao;
import com.bjtdba.userCenter.service.UserClockesService;
import com.bjtdba.userCenter.vo.ClockesVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 用户步数表(UserClockes)表服务实现类
 *
 * @author 何海强
 * @since 2022-11-11 10:08:56
 */
@Service("userClockesService")
public class UserClockesServiceImpl implements UserClockesService {
    @Resource
    private UserClockesDao userClockesDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public UserClockes queryById(Integer id) {
        return this.userClockesDao.queryById(id);
    }

    /**
     * 分页查询
     *
     * @param userClockes 筛选条件
//     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
//    public Page<UserClockes> queryByPage(UserClockes userClockes, PageRequest pageRequest) {
//        long total = this.userClockesDao.count(userClockes);
//        return new PageImpl<>(this.userClockesDao.queryAllByLimit(userClockes, pageRequest), pageRequest, total);
//    }


    public List<UserClockes> queryList(UserClockes userClockes){
        return  userClockesDao.queryAllByLimit(userClockes);
    }

    public long count(UserClockes userClockes){
        return  userClockesDao.count(userClockes);
    }

    /**
     * 新增数据
     *
     * @param userClockes 实例对象
     * @return 实例对象
     */
    @Override
    public UserClockes insert(UserClockes userClockes) {
        this.userClockesDao.insert(userClockes);
        return userClockes;
    }

    /**
     * 修改数据
     *
     * @param userClockes 实例对象
     * @return 实例对象
     */
    @Override
    public UserClockes update(UserClockes userClockes) {
        this.userClockesDao.update(userClockes);
        return this.queryById(userClockes.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.userClockesDao.deleteById(id) > 0;
    }

    public UserClockes queryByUid(Integer uid){
        return userClockesDao.queryByUid(uid);
    }

    public Integer queryClockeUid(Integer uid){
        return userClockesDao.queryClockeUid(uid);
    }


    public Long sumNum(Integer uid){
        return userClockesDao.sumNum(uid);
    }

    /**
     * 排名
     * @return
     */
    public List<ClockesVo> countList(String type){
        return userClockesDao.countList(type);
    }

}
